import type { IDataSourceConfig } from './applicationDataSource';
export declare class ApplicationDataSourceRegistry {
    private static defaultDataSourceOrder;
    private static dataSources;
    private static dataSourceOrder;
    static setDataSourceOrder(keys: string[]): void;
    private static sortDataSources;
    static registerDataSource(config: IDataSourceConfig<any>): void;
    static getDataSources(): Array<IDataSourceConfig<any>>;
    static removeDataSource(key: string): void;
    static clearDataSources(): void;
}
